<template>
<div>
  <div class="box box-warning">
    <div class="box-header with-border">
      <h3 class="box-title">Saving campaign</h3>
    </div>
    <div class="box-body">
      <div class="card-body">
          <div class="report-stats">
          <h3>Campaign description</h3>
          <table class="table table-bordered table-striped">
            <thead>
              <tr>
                <th>Name</th>
                <th>Expirity month</th>
                <th>Saving achievements (wanted amounts - amounts spent)</th>
                <th>Expenses difference from planned income</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>{{ savingCampaign.name }}</td>
                <td>{{ moment(savingCampaign.date).format("YYYY-MM") }}</td>
                <td :class="'bg-status' + savingCampaign.savingAchievementsStatus"><span v-if="savingCampaign.savingAchievements > 0">+</span>{{ savingCampaign.savingAchievements }} &euro;</td>
                <td :class="'bg-status' + savingCampaign.spendsDiffFromIncomeStatus"><span v-if="savingCampaign.spendsDiffFromIncome > 0">+</span>{{ savingCampaign.spendsDiffFromIncome }} &euro;</td>
              </tr>
            </tbody>
          </table>
          <br/>
          <h3>Saving campaign categories stats</h3>
          <table class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>Category name</th>
              <th>Wanted amount to spend, €</th>
              <th>Amount spent, €</th>
               <th>Saving balance, €</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="category in savingCampaign.campaignStats" :key="category.name">
              <td>{{ category.name  }}</td>
                <td>{{ category.pivot.wanted_amount  }} €</td>
                <td>{{ category.amountSpent }} €</td>
                  <td :class="'bg-status' + category.savingStatus"><span v-if="category.pivot.wanted_amount-category.amountSpent > 0">+</span>{{ (category.pivot.wanted_amount-category.amountSpent).toFixed(2) }} €</td>
             </tr>
          </tbody>
          </table>

      </div>
      </div>
      </div>
    </div>
  </div>
</template>

<script>
import moment from "moment";
export default {
  props: ["savingCampaign"],

  components: {
    moment
  },

  data: function() {
    return {
            moment: moment
    };
  }
};
</script>